/* ==========================================
   TUXFORGE DOCUMENTATION
   ========================================== */

.docs-page .overlay {
    background: rgba(0,0,0,0.35);
}

.linux-page {
    --accent-color: #ff8c00;
}

.windows-page {
    --accent-color: #c3e29d;
}

.reseau-page {
    --accent-color: #7bb8ff;
}

a {
    color: #e8e8e8;
    text-decoration: underline;
}

a:visited {
    color: #e8e8e8;
}

a:hover {
    color: #ff8c00;
}

.center {
    text-align: center;
}

/* ==========================================
   HERO
   ========================================== */


.docs-hero {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0px;
    margin-bottom: 80px;
}

.docs-page .documentation-section::before {
    content: none;
}

.docs-page .documentation-section {

    max-width: 1600px;
    margin: 0 auto;
    background: transparent;
    padding-top: 10px;
    padding-bottom: 100px;
    border: none;
    box-shadow: none;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* ==========================================
   VISUEL LINUX
   ========================================== */

.docs-page .doc-divider-visual {

    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
    flex: 1;
}

.docs-page .doc-divider-visual img {

    width: 100%;
    max-width: 500px;
    transform: scale(1);

    height: auto;

    opacity: .92;

    filter:
        drop-shadow(0 0 40px rgba(255,140,0,.10));
}

.reseau-page .doc-divider-visual img {
    max-width: 650px;
    margin-left: -200px;
    margin-top : -11px;
}

.docs-page .divider-visual {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
    flex: 1;
}

.docs-page .divider-visual img {
    width: 100%;
    max-width: 500px;
    transform: scale(1);

    height: auto;

    opacity: .92;

    filter:
        drop-shadow(0 0 40px rgba(255,140,0,.10));
}

/* ==========================================
   HEADER DOC
   ========================================== */

.docs-page .doc-header {

    max-width: 700px;

    text-align: left;
    margin: 0 80px 0px;
    flex: 1;
}

.docs-page .doc-label {

    display: inline-flex;

    padding: 10px 18px;

    border-radius: 999px;

    background: rgba(255,140,0,.10);

    border: 1px solid rgba(255,140,0,.25);

    color: var(--accent-color);

    font-size: .85rem;

    letter-spacing: .08em;

    text-transform: uppercase;

    margin-bottom: 28px;
}

.docs-page .doc-header h2 {

    font-size: clamp(3rem, 6vw, 5rem);
    display: block;
    line-height: 1.1;

    margin-bottom: 20px;
}

.docs-page .doc-header h2 span {

    color: var(--accent-color);
}

.docs-page .doc-header p {

    max-width: 700px;

    margin: 0;

    font-size: 1.15rem;

    line-height: 1.8;

    color: rgba(255,255,255,.72);
}

.docs-page .doc-divider {

    width: 140px;
    height: 2px;

    margin: 28px 0;

    background:
    linear-gradient(
        90deg,
        transparent,
        var(--accent-color),
        transparent
    );
}

/* ==========================================
   GRID
   ========================================== */

.docs-page .doc-grid {

    width: 100%;

    display: grid;

    grid-template-columns:
        repeat(auto-fit,minmax(320px,1fr));

    gap: 32px;
}

/* ==========================================
   PROJETS LINUX
   ========================================== */

.projects-showcase {

    width: 100%;
    margin-bottom: -30px;
}

.projects-header {

    text-align: center;
    margin-bottom: 20px;
    margin-top: -75px;
}

.project-main {
    margin: 0 auto 30px auto;
    width: 42%;
}

.projects-label {

    color: var(--accent-color);

    font-size: .8rem;

    letter-spacing: .15em;

    margin-bottom: 15px;
}

.projects-header h3 {

    font-size: 2.1rem;

    margin-bottom: 12px;
}

.projects-header p {

    color: rgba(255,255,255,.65);

    max-width: 700px;

    margin: auto;
}

.projects-grid {
    display: grid;
    justify-content: center;
    grid-template-columns:
        repeat(2, minmax(540px, 540px));
    margin-bottom: 40px;
    gap: 30px;
}

.project-btn {

    display: inline-block;
    margin-top: 20px;

    color: var(--accent-color);

    text-decoration: none;

    font-weight: 600;
}

.project-card {

    padding: 30px;

    border-radius: 24px;

    background:
        linear-gradient(
            to bottom,
            rgba(255,255,255,.04),
            rgba(255,255,255,.02)
        );

    border: 1px solid rgba(255,255,255,.08);

    backdrop-filter: blur(12px);

    transition: .35s ease;
}

.project-card:hover {

    transform: translateY(-6px);

    border-color:
        rgba(255,140,0,.35);

    box-shadow:
        0 0 30px rgba(255,140,0,.08);
}

.project-card.featured {
    padding: 30 px;
    border-color:
        rgba(255,140,0,0.35);

    box-shadow:
        0 0 40px rgba(255,140,0,0.08);
}

.project-card.featured p {
    max-width: 700px;
}

.project-badge {

    display: inline-block;

    padding: 6px 12px;

    border-radius: 999px;

    background: rgba(255,140,0,.12);

    color: var(--accent-color);

    font-size: .75rem;

    margin-bottom: 18px;
}

.project-card h4 {

    font-size: 1.6rem;

    margin-bottom: 15px;
}

.project-card p {

    color: rgba(255,255,255,.72);

    line-height: 1.8;

    margin-bottom: 20px;
}

.project-tags {

    display: flex;

    flex-wrap: wrap;

    gap: 10px;
}

.project-tags span {

    padding: 8px 12px;
    display: flex;
    border-radius: 10px;
    align-items: center;
    background: rgba(255,255,255,.04);
    gap: 8px;
    border: 1px solid rgba(255,255,255,.06);

    font-size: .85rem;
}

.project-tags img {

    width: 18px;
    height: 18px;
    transition: .3s ease;
    object-fit: contain;
}

/* ==========================================
   CARDS
   ========================================== */

.docs-page .doc-top {

    display: flex;
    flex-direction: row !important;
    align-items: center;
    max-width: 100%;
    gap: 18px;
    margin-top: 0;
    margin-bottom: 30px;
}

.docs-page .doc-card {

    position: relative;

    display: flex;
    flex-direction: column;

    min-height: 240px;

    padding: 32px;

    border-radius: 28px;

    background:
        linear-gradient(
        to bottom,
        rgba(255,255,255,.05),
        rgba(255,255,255,.02)
        );

    border: 1px solid rgba(255,255,255,.08);

    backdrop-filter: blur(12px);

    transition: .35s ease;

    overflow: hidden;
}

.docs-page .doc-card:hover {

    transform: translateY(-8px);

    border-color: rgba(255,140,0,.40);

    box-shadow:
        0 0 40px rgba(255,140,0,.10),
        0 20px 60px rgba(0,0,0,.50);
}

/* ==========================================
   ICONE
   ========================================== */

.docs-page .doc-icon {

    margin-bottom: 0px;
    flex-shrink: 0;
}

.docs-page .doc-icon i {

    font-size: 3.0rem;

    color: var(--accent-color);

    filter:
        drop-shadow(
            0 0 12px rgba(255,140,0,.30)
        );
    color: var(--accent-color);

    filter:
        drop-shadow(0 0 8px rgba(255,140,0,.35))
        drop-shadow(0 0 18px rgba(255,140,0,.20));
}

/* ==========================================
   TITRE
   ========================================== */

.docs-page .doc-card h3 {

    font-size: 2rem;
    line-height: 1;
    margin: 0px;
}

.docs-page .doc-card h3 span {

    color: white;
}

/* ==========================================
   DESCRIPTION
   ========================================== */

.docs-page .doc-description {

    flex-grow: 1;

    color: rgba(255,255,255,.72);

    line-height: 1.8;

    font-size: 1rem;

    margin-bottom: 28px;
}

/* ==========================================
   FOOTER CARD
   ========================================== */

.docs-page .doc-footer {

    display: flex;
    margin-top: 40px;
    justify-content: space-between;

    align-items: center;

    gap: 20px;
}

.docs-page .doc-footer-left {

    display: flex;

    flex-direction: column;
}

.docs-page .doc-count {

    font-size: 1.8rem;

    font-weight: 700;

    color: var(--accent-color);
}

.docs-page .doc-label-span {

    font-size: .75rem;

    letter-spacing: .12em;

    color: rgba(255,255,255,.55);
}

.docs-page .doc-footer a {

    display: inline-flex;

    align-items: center;

    gap: 8px;

    color: var(--accent-color);

    text-decoration: none;

    font-weight: 600;
}

/* ==========================================
   PROJECT PAGE LAYOUT
   ========================================== */

.project-layout {

    max-width: 1600px;

    margin: 0 auto;

    display: grid;

    grid-template-columns:
        minmax(0,1fr)
        320px;

    gap: 40px;

    align-items: start;
}

.project-content {

    min-width: 0;
}

.project-sidebar {

    position: sticky;

    top: 50px;
}

.project-toc {

    padding: 24px;

    border-radius: 24px;

    background:
    linear-gradient(
        to bottom,
        rgba(255,255,255,.05),
        rgba(255,255,255,.02)
    );

    border:
        1px solid rgba(255,255,255,.08);

    backdrop-filter: blur(12px);
}

.project-toc::-webkit-scrollbar {
    width: 6px;
}

.project-toc::-webkit-scrollbar-thumb {
    background: rgba(255,140,0,.4);
    border-radius: 999px;
}

.project-toc ul {

    list-style: none;
}

.project-toc li {

    margin-bottom: 12px;
}

.project-toc a {

    color: rgba(255,255,255,.72);

    text-decoration: none;

    transition: .3s ease;
}

.project-toc a.active {
    color: #ff9900;
    font-weight: 600;
}

.project-toc a.active::before {
    content: "▶ ";
}

.project-toc a:hover {

    color: var(--accent-color);
}

.project-toc ul ul {

    margin-top: 8px;

    margin-left: 40px;
    opacity: .75;
    font-size: .95rem;
}

.nav-toggle {

    all: unset;

    display: flex;

    align-items: center;

    justify-content: space-between;

    width: 100%;

    cursor: pointer;

    color: rgba(255,255,255,.9);

    font-size: 1rem;

    font-weight: 500;

    transition: color .3s ease;

}

.nav-toggle:hover {

    color: var(--accent-color);

}

.toggle-icon {

    font-size: .75rem;

    transition: transform .3s ease;

}

.nav-group.open .toggle-icon {

    transform: rotate(90deg);

}

.nav-submenu {
    display: none;
}

.project-toc .nav-submenu a.active-sub {
    color: #ff9900 !important;
    font-weight: 600;
}

.nav-submenu a.active-sub::before {
    content: "▶ ";
}

.nav-group.open .nav-submenu {
    display: block;
}

.submenu-title {
    margin-top: 12px;
    margin-left: 20px;

    color: var(--accent-color);

    font-size: 0.95rem;

    font-weight: 600;
}

.submenu-level2 {
    margin-left: 40px;
}

.project-section {

    margin-bottom: 40px;
    position: relative;
    padding: 40px;

    border-radius: 28px;

    background:
    linear-gradient(
        to bottom,
        rgba(255,255,255,.03),
        rgba(255,140,0,.07)
    );

    border:
        1px solid rgba(255,140,0,.08);

    backdrop-filter: blur(12px);
}

.project-section::before {

    content: "";

    position: absolute;

    inset: 0;

    border-radius: inherit;

    pointer-events: none;

    box-shadow:
        inset 0 1px 0 rgba(255,255,255,0),
        0 0 30px rgba(255,140,0,.17);
}

.project-section::after {

    content: "";

    position: absolute;

    top: -1px;

    left: 15%;

    width: 70%;

    height: 2px;

    background:
        linear-gradient(
            90deg,
            transparent,
            rgba(255,140,0,.8),
            transparent
        );

    filter: blur(6px);
}

.section-header {

    display: flex;

    align-items: center;

    gap: 20px;

    margin-bottom: 30px;
}

.section-number {

    font-size: 3rem;

    font-weight: 800;

    color: var(--accent-color);

    opacity: .35;
}

.section-header h2 {

    margin: 0;
    color: var(--accent-color);
    font-size: 2rem;
}

.section-header h3 {
    font-size: 1.7rem;
}

.project-page .project-image {

    margin: 40px 0;

    text-align: center;
}

.project-page .project-image img {
    height: auto;
    width: auto;
    max-height: 450px;
    max-width: 900px;

    border-radius: 16px;

    border: 1px solid rgba(255,255,255,.08);

    box-shadow:
        0 10px 30px rgba(0,0,0,.3);

    transition:
        transform .3s ease,
        box-shadow .3s ease;

    cursor: pointer;
}

.project-page .project-image img:hover {

    transform: scale(1.01);

    box-shadow:
        0 15px 40px rgba(255,140,0,.15);
}

.project-page .project-image figcaption {

    margin-top: 5px;

    color: rgba(255,255,255,.65);

    font-size: .9rem;

    font-style: italic;
}

.section-content {
    max-width: 1100px;
    margin: 0 auto 40px auto;
    line-height: 1.7;
    text-align: justify;
}

.section-content h4 {
    color: var(--accent-color);

    font-size: 1.1rem;
    opacity: 0.9;
    font-weight: 600;
}

.puce-text {
    margin-left: 40px;
}

table {
  border-collapse: separate;
  border: 2px solid rgba(255, 140, 0, 0.57);
  font-family: sans-serif;
  font-size: 0.8rem;
  letter-spacing: 1px;
  margin: 0 auto;
  box-shadow:
    0 0 5px rgba(255, 140, 0, 0.3),
    0 0 10px rgba(255, 140, 0, 0.2),
    0 0 15px rgba(255, 140, 0, 0.1);
}

thead th {
    text-align: center;
    font-weight: 800;
    color: rgb(255, 228, 195);
    font-size: 1.0rem;
}

th,
td {
  border: 1px solid rgba(255,140,0,0.2);
  padding: 8px 10px;
}

td:last-of-type {
  text-align: left;
}

tbody th {
  text-align: left;
  font-weight: normal;
}

.terminal-window {
    background: #0d1117;
    border: 1px solid rgba(255,140,0,.25);
    border-radius: 14px;
    overflow: hidden;
    display: inline-block;
    box-shadow:
        0 0 25px rgba(255,140,0,.1);
    margin: 10px 50px;
    width: 800px;
}

.terminal-header {
    display: flex;
    gap: 8px;

    padding: 5px 15px;

    background: rgba(255,255,255,.04);
    border-bottom: 1px solid rgba(255,255,255,.08);
}

.terminal-header span {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: rgba(255,140,0,.7);
}

.terminal-block {
    padding: 10px 18px;
    font-family: "JetBrains Mono", monospace;
    font-size: .95rem;
    color: #e8e8e8;
    text-shadow: 0 0 4px rgba(255,255,255,.33);
}

.folder-tree {
    display:inline-block;

    margin:5px 0;
    padding:14px 18px;

    font-family:"JetBrains Mono", monospace;
    font-size:.95rem;
    line-height:1.8;

    background:rgba(255,140,0,.04);
    border:1px solid rgba(255,140,0,.20);
    border-radius:8px;

    color:#e8e8e8;
}

.folder-tree span {
    margin-left:40px;
}

.flow-diagram{
    display:flex;
    flex-direction:column;
    align-items:center;

    margin:20px 0;

    font-family:"JetBrains Mono", monospace;
}

.flow-diagram div{
    padding:8px 20px;

    background:rgba(255,140,0,.04);
    border:1px solid rgba(255,140,0,.20);
    border-radius:8px;
}

.flow-diagram .arrow{
    border:none;
    background:none;
    padding:4px;
    color:#ff8c00;
    font-size:1.3rem;
}

.competence-block {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
    position: relative;
}

.competence-text {
    flex: 1;
    position: relative;
    z-index: 2;
}

.badge img {
    width: 260px;
    height: auto;
    right: 30px;
    top: 50%;
    position: absolute;
    transform: translateY(-50%);
    z-index: 1;
    filter:
        drop-shadow(0 0 10px #ff99012b)
        drop-shadow(0 0 25px #ff990029)
        drop-shadow(0 0 40px rgba(255,153,0,.19));
}

.badgesuper img {
    width: 280px;
    height: auto;
    right: 30px;
    top: 37%;
    position: absolute;
    transform: translateY(-50%);
    z-index: 1;
    filter:
        drop-shadow(0 0 10px #ff99012b)
        drop-shadow(0 0 25px #ff990029)
        drop-shadow(0 0 40px rgba(255,153,0,.19));
}

/* ==========================================
   ACCORDÉONS
   ========================================== */

.accordion-group {

    display: flex;
    flex-direction: column;
    gap: 16px;

    margin-top: 24px;
}

.accordion-item {

    border-radius: 20px;

    background:
        linear-gradient(
            to bottom,
            rgba(255,255,255,.04),
            rgba(255,255,255,.02)
        );

    border:
        1px solid rgba(255,255,255,.08);

    overflow: hidden;

    transition: all .3s ease;
}

.accordion-item:hover {

    border-color:
        rgba(255,140,0,.25);

    box-shadow:
        0 0 20px rgba(255,140,0,.08);
}

.accordion-item summary {

    list-style: none;

    cursor: pointer;

    padding: 16px 24px;

    font-size: 1.05rem;

    font-weight: 600;

    display: flex;
    align-items: center;
    gap: 12px;

    user-select: none;
}

.accordion-item summary::-webkit-details-marker {
    display: none;
}

.accordion-item summary::before {

    content: "▶";

    color: var(--accent-color);

    transition: transform .3s ease;
}

.accordion-item[open] summary::before {

    transform: rotate(90deg);
}

.accordion-item[open] {

    border-color:
        rgba(255,140,0,.20);

    box-shadow:
        0 0 30px rgba(255,140,0,.08);
}

.accordion-content {

    padding:
        0 24px 24px;

    border-top:
        1px solid rgba(255,255,255,.05);
}

.accordion-content h4 {

    margin-top: 24px;
    margin-bottom: 12px;

    color: var(--accent-color);
}

/* ==========================================
   HERO
   ========================================== */

.project-page #hero {

    max-width: 1200px;

    margin: 20px auto 20px;

    text-align: center;
    padding: 20px 40px 00px;
}

.project-page .project-category {

    display: inline-block;

    padding: 8px 16px;

    border-radius: 999px;

    background: rgba(255,140,0,.10);

    border: 1px solid rgba(255,140,0,.25);

    color: #ff8c00;

    font-size: .85rem;

    letter-spacing: .08em;

    text-transform: uppercase;

    margin-bottom: 25px;
}

.project-page #hero h1 {

    font-size: clamp(3rem, 6vw, 5rem);

    line-height: 1.1;

    margin-bottom: 25px;
}

.project-page #hero h1 span {

    color: var(--accent-color);
}

.project-page .project-subtitle {

    max-width: 800px;

    margin: 0 auto 40px;

    color: rgba(255,255,255,.72);

    line-height: 1.8;

    font-size: 1.1rem;
}

.project-page .stats-grid {

    display: grid;

    grid-template-columns: repeat(4, 1fr);

    gap: 24px;

    margin-bottom: 80px;
}

.project-page .stat-card {

    text-align: center;

    padding: 30px 20px;
}

.project-page .stat-card h3 {

    font-size: 2.5rem;

    color: var(--accent-color);

    margin-bottom: 10px;
}

.project-page .stat-card p {

    margin: 0;

    color: rgba(255,255,255,.72);
}

.project-page .doc-features {
    
    background: 
        linear-gradient(
            180deg, rgba(108, 63, 29, 0.21), rgba(8, 8, 8, 0.34)
        );
    max-width: 1260px;
    margin: 10px auto 50px;
}

/* ========================================
   MODALE IMAGES
======================================== */

.image-modal {
    display: none;

    position: fixed;
    z-index: 9999;

    top: 0;
    left: 0;

    width: 100%;
    height: 100%;

    background: rgba(0, 0, 0, 0.95);

    justify-content: center;
    align-items: center;
}

.image-modal.active {
    display: flex;
}

.image-modal.active .image-modal-content {
    transform: scale(1);
}

.image-modal-content {
    max-width: 95vw;
    max-height: 85vh;

    object-fit: contain;

    border: 2px solid #ff9900;

    box-shadow:
        0 0 20px rgba(255,153,0,.4),
        0 0 50px rgba(255,153,0,.2);

    transform: scale(.9);
    transition: all .25s ease;
}

.image-modal-close {
    position: absolute;

    top: 20px;
    right: 30px;

    color: #ff9900;

    font-size: 40px;
    font-weight: bold;

    cursor: pointer;

    user-select: none;
}

.clickable-image {
    cursor: zoom-in;
}

.image-modal-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
}

.image-modal-caption {
    max-width: 90%;

    color: #ffffff;

    text-align: center;

    font-style: italic;

    font-size: 1.1rem;

    line-height: 1.5;
    margin-top: 15px;
}

/* ==========================================
   FOOTER
   ========================================== */

.docs-page .footer {

    margin-top: -60px;
}

/* ==========================================
   MOBILE
   ========================================== */

@media (max-width: 1100px) {

    .docs-page .documentation-section {

        padding-top: 100px;
        padding-inline: 24px;
    }

    .projects-grid {
        grid-template-columns: 1fr;
    }
 
    .docs-hero {

        flex-direction: column-reverse;

        text-align: center;
    }

    .docs-page .doc-header {

        text-align: center;
    }

    .docs-page .doc-divider {

        margin: 28px auto;
    }

    .docs-page .doc-header p {

        margin: 0 auto;
    }


    .docs-page .doc-divider-visual img {

        max-width: 380px;
    }

    .docs-page .doc-card {

        min-height: auto;
    }

    
    .project-layout {

        grid-template-columns: 1fr;
    }

    .project-sidebar {

        position: relative;

        top: auto;
    }
}
